Skip to main content
DELETE
/
conversation-ai
/
agents
/
{agentId}
/
actions
/
{actionId}
Remove Action from Agent
curl --request DELETE \
  --url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": {
    "id": "actionId123"
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

actionId
string
required

The unique identifier of the action ID Attached to the agent

agentId
string
required

Response

Successful response

data
object
required

Deleted action information

success
boolean
required

Success status of the request

Example:

true

Last modified on March 7, 2026